LINUX.ORG.RU

Прекращается поддержка OpenJDK 6

 ,


1

3

Sun Java 6 Standard Edition, кодовое наименование «Мустанг», впервые увидела свет в декабре 2006 года. Эта версия платформы Java была разработана компанией Sun Microsystems в рамках спецификации JSR 270.

Позднее Sun Microsystems была поглощена компанией Oracle, которая продолжала публичную поддержку Java 6 до феврала 2013 года. Дальнейшие релизы стали доступными только для пользователей - участников платной программы поддержки Oracle Java 6.

К этому времени в проекте OpenJDK была разработана версия OpenJDK 6, которая являлась открытой и свободной (GPLv2) реализацией Java 6. Хотя OpenJDK 6, в отличие от последующих версий OpenJDK, не являлась «эталонной реализацией» (reference implementation) для Java 6, она полностью реализовывала JSR 270 и успешно проходила официальные тесты совместимости. Интересным фактом является то, что OpenJDK 6 была изначально разработана на основе исходных кодов OpenJDK 7 путем «вырезания» функционала, добавленного для Java 7.

С начала 2013 года публичной поддержкой OpenJDK 6 занималась компания Red Hat. Данная версия поставлялась в дистрибутивах Red Hat Enterprise Linux, также для нее регулярно публиковались обновления безопасности.

Долгое путешествие публично доступной Java 6 подходит к концу. Следующее обновление OpenJDK 6 станет последним и поддержка будет полностью прекращена 31 декабря 2016 года, таким образом завершая 10-летнюю историю этой версии Java.

Пользователям Java 6 рекомендуется обновиться до более новых версий.

>>> Подробности

anonymous

Проверено: Shaman007 ()

на основе исходных кодов OpenJDK 7 путем «вырезания» функционала, добавленного для Java 7

гениально

NoobeR ★★★ ()

Неплохо. А когда прекратят поддерку всей остальной явы?

Lavos ★★★★★ ()
Ответ на: комментарий от Lavos

Как только Google с неё спрыгнет, она сколлапсирует.

Не зря же они Fuchsia делают.

EXL ★★★★★ ()
Ответ на: комментарий от NoobeR

на основе исходных кодов OpenJDK 7 путем «вырезания» функционала, добавленного для Java 7

гениально

Ты просто не имел дела с поделками на жабе. «Нужна вон та ископаемая версия, и не волнует, а то не запущусь»

router ★★★★★ ()
Последнее исправление: router (всего исправлений: 1)
Ответ на: комментарий от router

«Нужна вон та ископаемая версия, и не волнует, а то не запущусь»

а это еще гениальнее

NoobeR ★★★ ()

java 7 и java 8 ещё живы, нормально.

Reedych ★☆ ()
Ответ на: комментарий от router

ладно бы ископаемая. бывает, что некоторые вещи при установленном jdk не пускаются - ставь им jre.

samy_volosaty ★★★★★ ()

Еще одним тормозящим отстоем меньше, это не может не радовать.

slon ()

лучшая версия java за всю историю

unt1tled ★★★★ ()
Ответ на: комментарий от samy_volosaty

Не наоборот?

export JAVA_HOME=$JDK_HOME/jre
export PATH=$JAVA_HOME/bin:$PATH
router ★★★★★ ()
Ответ на: комментарий от router

Не встречал ни одной софтины, которая бы совсем не запускалась на седьмой жабе из-за того что разработана род раннюю версию. Дрова javapos для Штрих фр-к написаны под java 5 (аннотации нет, современных коллекций нет, везде vector), на семёрке норм собирались и работали.

alchemist ()
Последнее исправление: alchemist (всего исправлений: 1)
Ответ на: комментарий от alchemist

Не встречал ни одной софтины, которая бы совсем не запускалась на седьмой жабе из-за того что разработана род раннюю версию

ilo от любого proliant g3

router ★★★★★ ()
Ответ на: комментарий от alchemist

могут возникнуть проблемы с перфомансом хайлоад решений. Под капотом оно меняется.

stevejobs ★★★☆☆ ()

Не жалко. Какая-то глючная фигня была в 1.6 с диалогами. Перешёл на 1.7 — глюки испарились. Наверное, незря существует такое понятие, как «развитие софта».

Northsoft ★★ ()
Ответ на: комментарий от slon

Не станет. Не вся же жаба умирает

anonymous ()
Ответ на: комментарий от EXL

Ага, андроиду спрыгнуть с джавы это как линуху спрыгнуть с си.

foror ★★★ ()
Ответ на: комментарий от Kompilainenn

включает. но установщик одной проприетарной вещи её не воспринимал.

samy_volosaty ★★★★★ ()
Ответ на: комментарий от alchemist

Конфигурялкам для Cisco ASA и роутеров для запуска требовались совершенно определённые версии JRE вплоть до третьей цифры. Аналогично IPMIки для серверов Supermicro.

siraenuhlaalu ()
Ответ на: комментарий от siraenuhlaalu

Неправда. У меня кучка серваков Supermicro на матерям X9DR* прекрасно показывают IPMI KVM как на текущей, 8й жабе, так показывали и на предыдущих версиях. Прошивка IPMI - 3.0.

anonymous ()
Ответ на: комментарий от anonymous

У меня конкретно доступ к микровскому IPMI ломался из-за того, что более новая жджава не умеет работать с забаненными алгоритмами шифрования и хеширования.

siraenuhlaalu ()
Ответ на: комментарий от stevejobs

OpenJDK 6 была изначально разработана на основе исходных кодов OpenJDK 7 путем «вырезания» функционала

Под капотом оно меняется

buddhist ★★★★★ ()
Ответ на: комментарий от buddhist

люди, не обновляющие софт под новые версии платформы (или использующие таковой) должны страдать :)))

я вначале (в том числе в /development) отчаянно советовал людям постоянно обновляться, потом перестал. Любителей говна мамонта просто так не переспоришь - вначале нужно знатно говнеца навернуть за компанию.

теперь вот прошло N лет и можно просто откинуться на спинку кресла и посмотреть на последствия их решений. Поедая попкорн, слушать их офигительные истории, какая джава говно )))

можно даже памятник поставить «безымянному говнокодеру / сисадмину, верующему в old стабильный дебиан и джаву шестой версии» с вечным огнём из пердака и надписью «не трогай то, что работает»

stevejobs ★★★☆☆ ()
Последнее исправление: stevejobs (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.